Debian Bug report logs - #679980
cacti: license issue in include/treeview

version graph

Package: cacti; Maintainer for cacti is Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>; Source for cacti is src:cacti.

Reported by: Paul Gevers <paul@climbing.nl>

Date: Mon, 2 Jul 2012 19:36:10 UTC

Severity: serious

Tags: patch

Found in versions 0.8.4-1, cacti/0.8.8a-3

Fixed in version cacti/0.8.8a+dfsg-1

Done: Paul Gevers <elbrus@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.cacti.net/view.php?id=2228

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>:
Bug#679980; Package cacti. (Mon, 02 Jul 2012 19:36:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <paul@climbing.nl>:
New Bug report received and forwarded. Copy sent to Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>. (Mon, 02 Jul 2012 19:36:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Gevers <paul@climbing.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cacti: license issue in include/treeview
Date: Mon, 02 Jul 2012 21:33:04 +0200
[Message part 1 (text/plain, inline)]
Package: cacti
Version: 0.8.4-1
Justification: Policy 2.2.1
Severity: serious

I spotted a license issue in cacti. The files in question are in the
include/treeview folder, i.e. ftiens4.js and ftiens4_export.js, and I am
sure the same issue is related to the icons in that folder. The
license for these files is not included in the project. A link [0] to
the web-site of the treeview project is provided in the headers of these
files. On the web-site a link can be found to what I believe are the two
possible licenses for this source.  When asked, debian-legal recommended
[1] notifying (cacti) upstream (I did that over one month ago [2]) and
one of three steps:

1) if cacti may work without the non-free files (possibly with
reduced functionality), those files should be dropped entirely

2) if cacti cannot work without those files, appropriate DFSG-free
and GPL-compatible replacements should be found (or clean-room
developed)

3) Gubusoft should be contacted and persuaded to re-license those
files under GPLv2-compatible terms

ad 3) After waiting for the cacti project to take action here, I asked
the treeview project several days ago to re-license the treeview files,
but I got no response yet, and I don't expect any.

ad 2) I am investigating the possibility to use other javascript source
code projects that have similar functionality, but with a DFSG-free
license. So far this seems hopeful, so I think this is the best solution
possible.

ad 1) The least attractive alternative would be to strip cacti from this
functionality, which works for small cacti sites, but is likely a
serious hit in usability for most large cacti sites.

I propose the following: discuss with the release team to replace cacti
in both stable and testing with a DFSG-free cacti. Either (preferred by
me) with alternative 2, or if that fails or comes too late with
alternative 1.

Paul

[0] http://www.treeview.net/
[1] http://lists.debian.org/debian-legal/2012/05/msg00020.html
[2] http://bugs.cacti.net/view.php?id=2228

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>:
Bug#679980; Package cacti. (Tue, 03 Jul 2012 22:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <paul@climbing.nl>:
Extra info received and forwarded to list. Copy sent to Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>. (Tue, 03 Jul 2012 22:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 679980@bugs.debian.org (full text, mbox):

From: Paul Gevers <paul@climbing.nl>
To: 679980@bugs.debian.org
Subject: Re: [Pkg-cacti-maint] Bug#679980: cacti: license issue in include/treeview
Date: Tue, 03 Jul 2012 23:59:02 +0200
[Message part 1 (text/plain, inline)]
> ad 2) I am investigating the possibility to use other javascript source
> code projects that have similar functionality, but with a DFSG-free
> license. So far this seems hopeful, so I think this is the best solution
> possible.

> [2] http://bugs.cacti.net/view.php?id=2228

Cacti upstream promises this to happen (hopefully this week).

Paul

[signature.asc (application/pgp-signature, attachment)]

Set Bug forwarded-to-address to 'http://bugs.cacti.net/view.php?id=2228'. Request was from Tobias Hansen <tobias.han@gmx.de> to control@bugs.debian.org. (Mon, 03 Sep 2012 17:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>:
Bug#679980; Package cacti. (Thu, 22 Nov 2012 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>. (Thu, 22 Nov 2012 21:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 679980@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 679980@bugs.debian.org
Subject: patch in progress
Date: Thu, 22 Nov 2012 22:24:18 +0100
[Message part 1 (text/plain, inline)]
control: -1 tag + patch

Hi,

I gave up on upstream providing a patch any time soon, so I decided to
do some of the work. I have added my current work as a patch to the
upstream bug report.

Although clearly not up-to-par yet, I think this could be nearly usable
within Debian. (The patch should be using the embedded version of
jquery-jstree, for now I used one one-line.)

Additional to this patch, it requires a dependency on libjs-jquery and
libjs-jquery-cookie and the embedding of jquery-jstree. [1][2]

Work in progress, but I would appreciate it if somebody could review the
patch.

Paul
[1] http://www.jstree.com/
[2]
http://svn.cacti.net/viewvc/cacti/branches/0.8.9/include/js/jquery/jquery.jstree.js
[first_work_jstree.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>:
Bug#679980; Package cacti. (Sat, 24 Nov 2012 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>. (Sat, 24 Nov 2012 21:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 679980@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 679980@bugs.debian.org
Subject: Re: patch in progress
Date: Sat, 24 Nov 2012 22:39:34 +0100
[Message part 1 (text/plain, inline)]
The previous patch was not good. But I am working on it. I think I have
a good patch now for upstream (see upstream bts).

Will try to get this properly done for Debian, and see if the
release-team can except my changes and adding of jstree (apart for
dsfg-ing the source tar ball).

Paul

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, elbrus@debian.org, Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>:
Bug#679980; Package cacti. (Sun, 25 Nov 2012 12:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to elbrus@debian.org, Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>. (Sun, 25 Nov 2012 12:12:05 GMT) Full text and rfc822 format available.

Message #27 received at 679980@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: Debian Bug Tracking System <679980@bugs.debian.org>
Subject: cacti: proposed patch for cacti use of jstree (jstree itself not included)
Date: Sun, 25 Nov 2012 13:10:12 +0100
[Message part 1 (text/plain, inline)]
Package: cacti
Version: 0.8.8a-3
Followup-For: Bug #679980

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Attached is my patch that I attached to the upstream bug report, albeit with more
extensive (deb3) documentatino. I store it here as well for the upcoming
discussion with the release team.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQsgqkAAoJEJxcmesFvXUK70cIAMgqgjyXgPy0+wLwUg/jFPyQ
Z6FJMHg95H7bh880DtrKxPBhYNdXJppIpL/sTHygnySDZk65761ZoLWMuQOrLTML
I3LpDd99kPiumiWbkVIWlNNkUl91+kQGXZhiYt6PkGEYnyqpKAt09yx+TrdNhufL
2Mo9WodbY6hNwAdWHie0OFYLK7VPTbequS6qnRl7QpH96wWg/3MHOI2SF19CKtJ4
Ret/Jct/dW8FdqwRdyPv8txv0QV4pfJqBxZr5TXLDusbPSXMNsuQv8xVeXHDd62z
3jPyngifg2iF2gc6mppGCQQB3EOrRa/fyVQLU1Uri2ezbK0A/naAxPGdon1ESGI=
=y/Vu
-----END PGP SIGNATURE-----
[replace_treeview_by_jquery.jstree.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>:
Bug#679980; Package cacti. (Sun, 25 Nov 2012 12:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>. (Sun, 25 Nov 2012 12:57:06 GMT) Full text and rfc822 format available.

Message #32 received at 679980@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: Debian release team <debian-release@lists.debian.org>
Cc: 679980@bugs.debian.org
Subject: Discuss possible ways of fixing license issue in cacti, RC bug 679980
Date: Sun, 25 Nov 2012 13:53:15 +0100
[Message part 1 (text/plain, inline)]
Hi release team,

Cacti has a nearly 5 months old standing RC bug [1] filed against it
about files with a non-DFSG license (distribution is possible, but
others can not use the copy for other purposes, they need to get their
own free copy). I was hoping that cacti upstream would create the code
needed to provide the functionality [2] that would be removed by
removing the files in question. I have now given up on that happening
soon, so I have created a patch [3] to do that. Before implementing this
in the Debian cacti package, I request your opinion on what is
acceptable for wheezy.

I see several options:

1) Ignore this bug for wheezy as these files are shipped already for so
long and distribution is still allowed (I would prefer we don't choose
this option).

2) Remove the problematic files from source, leaving the cacti package
slightly crippled. The functionality in question is not needed for cacti
to work, but if you monitor lots of systems with cacti, your ability to
locate the proper graphs easily is decreased. (I would rather prefer 1)).

3) Remove the problematic files from source, and apply the patch I
attached to bug 679980 [3], but DON'T add the needed jstree code to the
package. As my patch, in contrast to the current tree, generates a
visible (but non-collapsing) HTML tree, this option is already better
than 1). However, the tree would be enormous for large sites, still
making it hardly useful for them. This option will be better than 2),
even more so for small sites.

4) Same as 3) but also embed jstree in the package [4]. As the jquery
and jquery-cookies dependency can be satisfied by packages already in
Debian, only jstree is needed to be in cacti. It should be clear that I
prefer this solution (that is why I did the work) but I can imagine that
the release team finds it too intrusive in this stage of the release cycle.

So my request is that you state how you want this bug resolved for
wheezy. If needed, I can prepare the preferred option in experimental
first, so you can postpone the final decision. But the main change will
be the patch [3] and the inclusion of jstee [5] and it's css and
pictures [6].

With kind regards,
Paul

By the way, I would still like to include the changes in the unblock bug
683684, as I already see questions popping up on the upstream forum
(mostly Ubuntu users of current version 0.8.8.a-3).

[1] http://bugs.debian.org/679980
[2] The functionality being that you have a tree on every page with
graphs which you can expand or collapse to navigate through all possible
(groups of) graphs.
[3]
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=27;filename=replace_treeview_by_jquery.jstree.patch;att=1;bug=679980
[4] I have already filed a wish-list bug against jsquery-goodies to
create a package for jstree: http://bugs.debian.org/694313
[5]
http://svn.cacti.net/viewvc/cacti/branches/0.8.9/include/js/jquery/jquery.jstree.js?revision=7218&content-type=text%2Fplain
[6]
http://svn.cacti.net/viewvc/cacti/branches/main/include/js/jquery/themes/default/
[7] http://bugs.debian.org/683684

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Paul Gevers <elbrus@debian.org>:
You have taken responsibility. (Wed, 12 Dec 2012 20:51:11 GMT) Full text and rfc822 format available.

Notification sent to Paul Gevers <paul@climbing.nl>:
Bug acknowledged by developer. (Wed, 12 Dec 2012 20:51:11 GMT) Full text and rfc822 format available.

Message #37 received at 679980-close@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 679980-close@bugs.debian.org
Subject: Bug#679980: fixed in cacti 0.8.8a+dfsg-1
Date: Wed, 12 Dec 2012 20:47:58 +0000
Source: cacti
Source-Version: 0.8.8a+dfsg-1

We believe that the bug you reported is fixed in the latest version of
cacti, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679980@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Gevers <elbrus@debian.org> (supplier of updated cacti package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 10 Dec 2012 22:48:48 +0100
Source: cacti
Binary: cacti
Architecture: source all
Version: 0.8.8a+dfsg-1
Distribution: experimental
Urgency: low
Maintainer: Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>
Changed-By: Paul Gevers <elbrus@debian.org>
Description: 
 cacti      - web interface for graphing of monitoring systems
Closes: 679980 681558
Changes: 
 cacti (0.8.8a+dfsg-1) experimental; urgency=low
 .
   * Removed non-dfsg-free treeview code from the upstream source (Closes:
     #679980)
   * Add jquery.jstree.js and four jstree theme files to the package to replace
     the treeview functionality
   * Update d/copyright to reflect above changes
   * Add patches to use the jstree code
     - replace_treeview_by_jquery.jstree.patch
     - use_jquery_for_debian.patch
   * Add libjs-jquery and libjs-jquery-cookie to recommends as they are needed by
     jstree.
   * Remove the logic to install plugins in /usr/local/share/cacti/plugins as the
     implementation of chdir in php resolves symlinks (Closes: #681558).
     - Update README.Debian and add NEWS.Debian and README.Plugins
     - Update d/cacti.links and d/cacti.install
   * Update my e-mail address to elbrus@debian.org
Checksums-Sha1: 
 07304fb4232540a9c89597e4c85b614f77bcba93 1655 cacti_0.8.8a+dfsg-1.dsc
 4345484327a663043f2c25cc14da763ed0b10bce 2262792 cacti_0.8.8a+dfsg.orig.tar.gz
 b396ff92e4f9899ba7527c3b832a2081df9510d2 103912 cacti_0.8.8a+dfsg-1.debian.tar.gz
 677ea65d1e3e5295c7532037b9f4add7305d4a4e 2140206 cacti_0.8.8a+dfsg-1_all.deb
Checksums-Sha256: 
 aa0973e9eac2df20806c37a02beb1e4a9c6b0e6bd1640879c12fd88ea73c7355 1655 cacti_0.8.8a+dfsg-1.dsc
 18575e99b5be11edb150a5a20a8a63f8cbf50be0adb0c4892db3be68ca1fcf74 2262792 cacti_0.8.8a+dfsg.orig.tar.gz
 ffccba8f93e39a64415519abcb5c6b6dbf64351e11b29a67d6dc8147c87e4179 103912 cacti_0.8.8a+dfsg-1.debian.tar.gz
 3f34a88a99612d7564b39ae84890e5ba0595a764b0c5268856225e357d567a58 2140206 cacti_0.8.8a+dfsg-1_all.deb
Files: 
 d8d96b7987bde9ded720b6bb85dfdfae 1655 web extra cacti_0.8.8a+dfsg-1.dsc
 45ef51a85ee91bf9212478cc4af1c5de 2262792 web extra cacti_0.8.8a+dfsg.orig.tar.gz
 6ff80e36a17c6b5244c25164fd731e33 103912 web extra cacti_0.8.8a+dfsg-1.debian.tar.gz
 0bcc3519239ac5fbda9bbaecd7e8e829 2140206 web extra cacti_0.8.8a+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQyNy3AAoJEJxcmesFvXUKtG0IAMVipwiYsutc1M4QLetN/SnZ
fA067+GyeiaQtXFfsGWhpCNK/D84wsXoh30+QGeaY7HsJgli6dcku6yultWkQRaU
LHwTEuQqJm4ycr1zDodn/n4ctGjwyk4bgove2UOcI6HZX/Ey6ovCV4no6EbfQ3K5
NoTxKgH1tEOJi7YN2I0FvjZrT/Tc+BQtYXP4FiaLnPRqrPbTkL+GrIMmvEuq+V3x
YgxPyz44iYjEpVEkUJPD9wfqHFUO8XbGwVrE3KgpWTcda8lICBooOGSzCtL0nYvy
RCwViXedx0byGcCN7OFryr4xcnbAfrO6ZVat+qpZrkbn6d2rBamsZM/bVNDr/ms=
=/cUv
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>:
Bug#679980; Package cacti. (Wed, 12 Dec 2012 21:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>. (Wed, 12 Dec 2012 21:06:03 GMT) Full text and rfc822 format available.

Message #42 received at 679980@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 694850@bugs.debian.org
Cc: 679980@bugs.debian.org
Subject: Re: Bug#694850: license RC bug 679980 in cacti: request for release-team opinion for wheezy
Date: Wed, 12 Dec 2012 22:02:53 +0100
[Message part 1 (text/plain, inline)]
On 10-12-12 10:02, Niels Thykier wrote:
> How difficult would it be to add some "simple collapsing" code for
> Wheezy?

Maybe not so difficult for people with experience doing those kind of
things, but this actually was my first time ever doing javascript, so I
am much more comfortable doing it with such a "library".

> The problem I have with 2) and 3) is that it is a regression
> for people using cacti already.

Agreed.

> I'd recommend uploading 4) to experimental, compile a debdiff and send
> it our way.  We may have to back down 3) or 1) once we see the debdiff, but

I have just uploaded cacti version 0.8.8a+dfsg-1 to experimental. Please
find the debdiffs against the dsc and deb files attached.

>>> By the way, I would still like to include the changes in the unblock bug
>>> 683684, as I already see questions popping up on the upstream forum
>>> (mostly Ubuntu users of current version 0.8.8.a-3).

I have included the (nearly only documentation) changes to that bug in
this debdiff. If you don't accept these, please let me know and I will
remove those changes again.

Paul
[cacti_0.8.8a-3_0.8.8a+dfsg-1_deb.debdiff (text/plain, attachment)]
[cacti_0.8.8a-3_0.8.8a+dfsg-1_dsc.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Fri, 14 Dec 2012 19:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>:
Bug#679980; Package cacti. (Sun, 27 Jan 2013 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>. (Sun, 27 Jan 2013 15:06:03 GMT) Full text and rfc822 format available.

Message #49 received at 679980@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 679980@bugs.debian.org
Subject: See also #694850
Date: Sun, 27 Jan 2013 15:03:03 +0000
[Message part 1 (text/plain, inline)]
Just adding a note to help others scanning the RC bugs to look at
#694850 for the release team discussion around cacti. This link doesn't
show up in UDD queries because that relies on matching the bug title.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=694850#25


-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>:
Bug#679980; Package cacti. (Tue, 19 Feb 2013 08:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Boot <bootc@bootc.net>:
Extra info received and forwarded to list. Copy sent to Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>. (Tue, 19 Feb 2013 08:48:03 GMT) Full text and rfc822 format available.

Message #54 received at 679980@bugs.debian.org (full text, mbox):

From: Chris Boot <bootc@bootc.net>
To: 679980@bugs.debian.org
Subject: Recommends are broken
Date: Tue, 19 Feb 2013 08:40:13 +0000
It seems the Recommends in 0.8.8a+dfsg-2 are broken:

Recommends: [...] libjs-query, libjs-query-cookie [...]

Both of those should read 'libjs-jquery-*' not 'libjs-query-*'. This 
results in not installing the required packages, and the new graph tree 
code not working at all.

HTH,
Chris

-- 
Chris Boot
bootc@bootc.net




Information forwarded to debian-bugs-dist@lists.debian.org, Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>:
Bug#679980; Package cacti. (Tue, 19 Feb 2013 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>. (Tue, 19 Feb 2013 19:42:03 GMT) Full text and rfc822 format available.

Message #59 received at 679980@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: Chris Boot <bootc@bootc.net>, 679980@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#679980: Recommends are broken
Date: Tue, 19 Feb 2013 20:40:06 +0100
[Message part 1 (text/plain, inline)]
tags 679980 + confirmed pending
thanks

On 19-02-13 09:40, Chris Boot wrote:
> It seems the Recommends in 0.8.8a+dfsg-2 are broken:
> 
> Recommends: [...] libjs-query, libjs-query-cookie [...]
> 
> Both of those should read 'libjs-jquery-*' not 'libjs-query-*'. This
> results in not installing the required packages, and the new graph tree
> code not working at all.

Thanks for reporting, you are completely right. What a stupid mistake of
me to make. Of course I don't need to tell you how to work around this
bug: manually installing libjs-jquery and libjs-jquery-cookie.

Paul

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) confirmed and pending. Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Tue, 19 Feb 2013 19:42:05 GMT) Full text and rfc822 format available.

Removed tag(s) confirmed and pending. Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Tue, 19 Feb 2013 19:51:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:59:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:42:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.